Skip to main content
Resource Center/Resource Pool/Image Operations
PUTImage OperationsSince 0.6SynchronousAuth Required

SetImageQga

SetImageQga

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • setimageqgaObjectRequired

    setimageqga request body object.

    • enablebooleanRequired

      启用。

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/images/{uuid}/actions

/zstack/v1/images/{uuid}/actions

Operation ID

SetImageQga

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/images/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setimageqga":{"enable":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history